Package ghidra.program.model.lang

# Enum Class InstructionError.InstructionErrorType

java.lang.Object
java.lang.Enum<InstructionError.InstructionErrorType>
ghidra.program.model.lang.InstructionError.InstructionErrorType

All Implemented Interfaces:
  `Serializable`, `Comparable<InstructionError.InstructionErrorType>`, `Constable`

Enclosing class:
  `InstructionError`

public static enum InstructionError.InstructionErrorType extends Enum<InstructionError.InstructionErrorType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATA_CONFLICT`
  Conflict with existing data detected while instructions were being added to program.
  `DUPLICATE`
  Duplicate instruction detected while instructions were being added to program.
  `FLOW_ALIGNMENT`
  Instruction contains an unaligned flow which is indicative of a language problem.
  `INSTRUCTION_CONFLICT`
  Conflict with existing instruction detected while instructions were being added to program.
  `MEMORY`
  Instruction parsing failed at the conflict address due to a memory error.
  `OFFCUT_INSTRUCTION`
  Offcut conflict with existing instruction detected while instructions were being added to program.
  `PARSE`
  Instruction parsing failed at the conflict address.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `isConflict`
  Instruction error associated with a conflict with an existing code unit (instruction or data).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InstructionError.InstructionErrorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InstructionError.InstructionErrorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DUPLICATE

    public static final InstructionError.InstructionErrorType DUPLICATE
    Duplicate instruction detected while instructions were being added to program. This should not be marked but should prevent additional instructions from being added unnecessarily.

  - ### INSTRUCTION_CONFLICT

    public static final InstructionError.InstructionErrorType INSTRUCTION_CONFLICT
    Conflict with existing instruction detected while instructions were being added to program. Conflict address corresponds to existing code unit. The first instruction within the block whose range overlaps the conflict code-unit should terminate the block prior to being added.

  - ### DATA_CONFLICT

    public static final InstructionError.InstructionErrorType DATA_CONFLICT
    Conflict with existing data detected while instructions were being added to program. Conflict address corresponds to existing code unit. The first instruction within the block whose range overlaps the conflict code-unit should terminate the block prior to being added.

  - ### OFFCUT_INSTRUCTION

    public static final InstructionError.InstructionErrorType OFFCUT_INSTRUCTION
    Offcut conflict with existing instruction detected while instructions were being added to program. Conflict address corresponds to existing code unit. The first instruction within the block whose range overlaps the conflict code-unit should terminate the block prior to being added.

  - ### PARSE

    public static final InstructionError.InstructionErrorType PARSE
    Instruction parsing failed at the conflict address. This conflict should only have a conflict address which immediately follows the last instruction within the block or matches the block-start if the block is empty.

  - ### MEMORY

    public static final InstructionError.InstructionErrorType MEMORY
    Instruction parsing failed at the conflict address due to a memory error. This conflict should only have a conflict address which immediately follows the last instruction within the block or matches the block-start if the block is empty.

  - ### FLOW_ALIGNMENT

    public static final InstructionError.InstructionErrorType FLOW_ALIGNMENT
    Instruction contains an unaligned flow which is indicative of a language problem. The conflict address corresponds to the instruction containing the flow. While the instruction at the conflict address may be added it should be the last.

- ## Field Details

  - ### isConflict

    public final boolean isConflict
    Instruction error associated with a conflict with an existing code unit (instruction or data).

- ## Method Details

  - ### values

    public static InstructionError.InstructionErrorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InstructionError.InstructionErrorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null